<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	version="2.0"><!-- com.blogspot.hoekstra_christian.tools.manageOpatch -->
	<xsl:output method="xml" encoding="UTF-8" indent="yes" />
	<xsl:template match="/">
		<xsl:variable name="GENERATED_ON" select="PRD_LIST/@GENERATED_ON" />
		<xsl:variable name="HOST_NAME" select="PRD_LIST/@HOST_NAME" />
		<xsl:variable name="ORACLE_HOME_LOC" select="PRD_LIST/@ORACLE_HOME_LOC" />
		<xsl:variable name="OS_NAME" select="PRD_LIST/@OS_NAME" />
		<xsl:variable name="OS_ARCH" select="PRD_LIST/@OS_ARCH" />
		<PRD_LIST GENERATED_ON="{$GENERATED_ON}" HOST_NAME="{$HOST_NAME}"
			ORACLE_HOME_LOC="{$ORACLE_HOME_LOC}" OS_NAME="{$OS_NAME}" OS_ARCH="{$OS_ARCH}">
			<TL_LIST>
				<xsl:for-each select="PRD_LIST/TL_LIST/COMP">
					<xsl:variable name="VER" select="@VER" />
					<xsl:variable name="INSTALL_TIME" select="@INSTALL_TIME" />
					<COMP VER="{$VER}" INSTALL_TIME="{$INSTALL_TIME}">
						<EXT_NAME>
							<xsl:value-of select="EXT_NAME" />
						</EXT_NAME>
						<DESC>
							<xsl:value-of select="DESC" />
						</DESC>
					</COMP>
				</xsl:for-each>
			</TL_LIST>
			<COMP_LIST>
				<xsl:for-each select="PRD_LIST/COMP_LIST/COMP">
					<xsl:variable name="VER" select="@VER" />
					<xsl:variable name="INSTALL_TIME" select="@INSTALL_TIME" />
					<COMP VER="{$VER}" INSTALL_TIME="{$INSTALL_TIME}">
						<EXT_NAME>
							<xsl:value-of select="EXT_NAME" />
						</EXT_NAME>
						<DESC>
							<xsl:value-of select="DESC" />
						</DESC>
					</COMP>
				</xsl:for-each>
			</COMP_LIST>
			<ONEOFF_LIST>
				<xsl:for-each select="PRD_LIST/ONEOFF_LIST/ONEOFF">
					<xsl:variable name="REF_ID" select="@REF_ID" />
					<xsl:variable name="UNIQ_ID" select="@UNIQ_ID" />
					<xsl:variable name="INSTALL_TIME" select="@INSTALL_TIME" />
					<xsl:variable name="INV_LOC"
						select="concat('file:///', $ORACLE_HOME_LOC, '/inventory/oneoffs/', $REF_ID, '/etc/config/inventory.xml')" />
					<ONEOFF REF_ID="{$REF_ID}" UNIQ_ID="{$UNIQ_ID}"
						INSTALL_TIME="{$INSTALL_TIME}">
						<xsl:for-each select="document($INV_LOC)/oneoff_inventory/date_of_patch">
							<xsl:variable name="YEAR" select="@year" />
							<xsl:variable name="MONTH" select="@month" />
							<xsl:variable name="DAY" select="@day" />
							<date_of_patch year="{$YEAR}" month="{$MONTH}" day="{$DAY}" />
						</xsl:for-each>
						<base_bugs>
							<xsl:for-each select="document($INV_LOC)/oneoff_inventory/base_bugs/bug">
								<xsl:variable name="NUMBER" select="@number" />
								<xsl:variable name="DESCRIPTION" select="@description" />
								<bug number="{$NUMBER}" description="{$DESCRIPTION}" />
							</xsl:for-each>
						</base_bugs>
						<required_components>
							<xsl:for-each
								select="document($INV_LOC)/oneoff_inventory/required_components/component">
								<xsl:variable name="INTERNAL_NAME" select="@internal_name" />
								<component internal_name="{$INTERNAL_NAME}" />
							</xsl:for-each>
						</required_components>
					</ONEOFF>
				</xsl:for-each>
			</ONEOFF_LIST>
		</PRD_LIST>
	</xsl:template>
</xsl:stylesheet>